## com.sun.grizzly.util
Class StateHolder.NotEqualConditionListener<E>

    java.lang.Object
      com.sun.grizzly.util.StateHolder.ConditionListener<E>
          com.sun.grizzly.util.StateHolder.NotEqualConditionListener<E>

Enclosing class:
  StateHolder<E>

    public static class StateHolder.NotEqualConditionListener<E>

extends StateHolder.ConditionListener<E>

Not equal ConditionListener implementation

Field Summary

Fields inherited from class com.sun.grizzly.util.StateHolder.ConditionListener
`listener, state`

Constructor Summary
`StateHolder.NotEqualConditionListener()`

Method Summary
`boolean` `check(E state)`

Methods inherited from class com.sun.grizzly.util.StateHolder.ConditionListener
`notifyListener, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateHolder.NotEqualConditionListener

    public StateHolder.NotEqualConditionListener()

Method Detail

### check

    public boolean check(E state)

  Specified by:
    `check` in class `StateHolder.ConditionListener<E>`

Copyright © 2008 SUN Microsystems. All Rights Reserved.